Subject: Re: [dispatch] 3rd WGLC - draft-ietf-dispatch-javascript-mjs - deadline 10th May

From: Myles Borins <[email-masked]>
Date: Tue, 27 Apr 2021 13:25:47 -0400

Disclaimer: I am one of the authors of the draft.

I would like to also express my support for this draft. It imho reflects
ecosystem usage, for example there are currently over 6 million files with
the .mjs extension on GitHub
<https://github.com/search?l=&q=extension%3Amjs&type=code>.

The extension is supported in some mimetype collections and DBs, such as
that of the python programming language
<https://github.com/python/cpython/blob/master/Lib/mimetypes.py#L416>, but
still hasn't been adopted by industry standard tools such as apache
<http://apache-http-server.18135.x6.nabble.com/Bug-61383-New-mjs-files-should-be-part-of-mime-application-javascript-td5038697.html>.
The lack of consistency here makes for poor developer experiences and
inconsistent experiences across platforms + tools. This draft being
accepted would be an extremely strong signal to let folks know that they
can implement support for .mjs.

Separate from the new extension that will be supported the updated draft
includes a number of additional improvements that reflect the current
reality of the web. This includes making "text/javascript" COMMON rather
than OBSOLETE and an update to the security considerations.

Thank you everyone for your time and considerations regarding this matter.

On Tue, Apr 27, 2021 at 10:17 AM Mathias Bynens <[email-masked]> wrote:

> Disclaimer: I am one of the authors of this draft. Nevertheless, I
> would like to express my support and speak to the importance of its
> standardization.
>
> The draft supersedes the earlier RFC4329, providing updated
> definitions to align with what has quickly become implementation
> reality, both in web browsers as well as other popular JavaScript
> environments such as Node.js.
>
> Thanks,
> Mathias
>
> On Tue, Apr 27, 2021 at 3:49 PM Kirsty P <[email-masked]> wrote:
> > ________________________________
> > From: Kirsty P
> > Sent: 26 April 2021 16:25
> > To: [email-masked] <[email-masked]>
> > Subject: 3rd WGLC - draft-ietf-dispatch-javascript-mjs - deadline 10th
> May
> >
> > Hi DISPATCH,
> >
> > Summary: draft-ietf-dispatch-javascript-mjs is now ready for its 3rd
> WGLC (Working Group Last Call). Please send your comments and/or
> expressions of support to the DISPATCH list.
> >
> > Longer: the draft was recently updated to address feedback from a review
> and from the 2nd WGLC [1]. The authors posted an update to the list with
> more information [2]. We (DISPATCH chairs) feel like all the comments have
> been addressed, so it's time for 3rd WGLC.
> >
> > We need to hear positive noises and support for this draft from the WG
> before progressing the -08 draft, so please email to signal your
> endorsement, even if you have no comments to make. The draft can be found
> on datatracker here:
> https://datatracker.ietf.org/doc/draft-ietf-dispatch-javascript-mjs/
> >
> > WGLC is open for 2 weeks - so will finish close-of-play on Monday 10th
> May.
> >
> > Kirsty
> > (DISPATCH co-chair)
> >
> > [1]
> https://mailarchive.ietf.org/arch/msg/dispatch/MOp48vAf_K4cjoS9XoFgxBUqXg0/
> > [2]
> https://mailarchive.ietf.org/arch/msg/dispatch/TmuVIJS6Umh37oOhiIHv-5Mzkis/
> >
> >
> >
> > This information is exempt under the Freedom of Information Act 2000
> (FOIA) and may be exempt under other UK information legislation. Refer any
> FOIA queries to [email-masked]. All material is UK Crown
> Copyright ©
>